#
# spec file for package apache2-mod_websocket
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name mod_websocket
Name:           apache2-mod_websocket
Version:        0.0.1.20150604.gitcfaef07
Release:        4.2
Summary:        Apache module for WebSocket requests processing
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            https://github.com/disconnect/apache-websocket
Source:         %{mod_name}-%{version}.tar.bz2
Source1:        %{mod_name}.conf
Source2:        README.test
BuildRequires:  apache-rpm-macros
Requires:       %{apache_suse_maintenance_mmn}
BuildRequires:  apache2-devel
Requires:       %{apache_mmn}
Requires:       apache2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The mod_websocket module is an Apache 2.x server module that may
be used to process requests using the WebSocket protocol (RFC 6455)
by an Apache 2.x server. The module consists of a plugin architecture
for handling WebSocket messaging. Doing so does not require any
knowledge of internal Apache structures. This implementation supports
protocol versions 7, 8, and 13, along with the older draft-76 of the
WebSocket protocol. Support for draft-75 is disabled by default, but
it may be enabled through the draft-76 module configuration.
Although draft-76 is technically obsolete, it is the protocol version
that is currently implemented by most of the web browsers. When all
of the browsers finally move to support the latest protocol, simply
remove the draft-76 module and configuration to drop support.

%prep
%setup -q -n %{mod_name}-%{version}
cp websocket_plugin.h examples

%build
%{apache_apxs} -c %{mod_name}.c
%{apache_apxs} -c %{mod_name}_draft76.c

%install
mkdir -p %{buildroot}%{apache_libexecdir}
%{apache_apxs} -S LIBEXECDIR="%{buildroot}%{apache_libexecdir}" -i %{mod_name}.la
%{apache_apxs} -S LIBEXECDIR="%{buildroot}%{apache_libexecdir}" -i %{mod_name}_draft76.la
install -D -m 0644 %{SOURCE1} "%{buildroot}%{apache_sysconfdir}/conf.d/%{mod_name}.conf"
cp %{SOURCE2} .

%check
set +x
%apache_test_module_load -m websocket
set -x

%files
%defattr(-,root,root)
%{apache_libexecdir}/%{mod_name}.so
%{apache_libexecdir}/%{mod_name}_draft76.so
%config(noreplace) %{apache_sysconfdir}/conf.d/%{mod_name}.conf
%doc LICENSE README.md README.test examples

%changelog
* Mon Sep  7 2015 pgajdos@suse.com
- test module with %%apache_test_module_load
- rely on apache-rpm-macros everytime
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Thu Jun  4 2015 lmuelle@suse.com
- Set the verison to small value and append the current date and the git sha1.
* Thu Jun  4 2015 lmuelle@suse.com
- Define apache_* macros for pre-13.3 when the apache-rpm-macros pacjage isn't
  available.
* Thu Jun  4 2015 kstreitova@suse.com
- adjust %%description in specfile
* Tue Jun  2 2015 kstreitova@suse.com
- add Requires: %%{apache_mmn}
- add README.test that will help users enable a sample plugin
  and client example bundled with this package
- a text in mod_websocket.conf was slightly changed
- use spec-cleaner to clean specfile
* Fri May 22 2015 kstreitova@suse.com
- initial commit
